/**********************************************************************************************/
/* VDK_ULLong.h																				  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_ULLong_h 
	#define __VDK_ULLong_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#else
#	include <VDK_Field.h>
#endif // VSDK_FRAMEWORK_STYLE


/**********************************************************************************************/
class FBL_EXP VDK_ULLong : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_ULLong( const char* inName, ushort inFlags = 0 );
virtual							~VDK_ULLong( void ) {}
		

		/* Value methods */
		
FBL_EXP	virtual	void			operator =( ullong inValue ); 
FBL_EXP	virtual					operator ullong( void ) const; 

		/* Search methods */
		
		FBL_BitSet*				Find( const ullong* inLeftValue , bool inLeftInclude, 
									  const ullong* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}
		
		FBL_BitSet* 			Find( const ullong* inKey = NULL ) {
									return VDK_Field::Find( inKey );
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  

